{
  description = "elmskell";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };
  outputs = inputs @ {...}: let
    utilities = [
      pkgs.httpie
    ];
    deps = [
      pkgs.cowsay
      pkgs.just
      pkgs.elmPackages.elm
      pkgs.elmPackages.elm-format
      pkgs.esbuild
      pkgs.stack
    ];
    pkgs = import inputs.nixpkgs {
      system = "x86_64-linux";
    };
  in {
    devShell.x86_64-linux = pkgs.mkShell {
      packages = [
        utilities
        deps
      ];
      shellHook = ''
        export PS1='\h@\[\e[30;48;5;202;1m\]elmskell\[\e[0m\]|\w\\$ ' &&
        cowsay "Welcome to elmskell! Run 'just' to build!"
      '';
    };
  };
}
